.details {
    background-color: var(--violetColor);
    color: var(--lightColor);
    background-image: linear-gradient( rgba(0,0,0,.6), transparent);
}

.details__wrap {
    width: 100%;
    max-width: 1200px;
    margin: 0 auto;
    padding: 20px;
    display: flex;
    flex-wrap: wrap;
    position: relative;
}

.details__item {
    padding: 20px 60px;
    text-align: center;
    width: 300px;
    margin: 0 auto;
    display: block;
    color: var(--lightColor);
    text-decoration: none;
}

.details__image-wrap {
    width: 120px;
    margin: 0 auto;
    height: 120px;
    display: flex;
    justify-content: center;
    align-items: center;
    transition: .3s;
    position: relative;
    cursor: pointer;
}

.details__image-wrap i {
    font-size: 60px;
    z-index: 1;
}

.details__image-wrap::after {
    position: absolute;
    content: "";
    left: 50%;
    top: 50%;
    transform: translate(-50%, -50%);
    width: 180px;
    height: 180px;
    opacity: 0;
    transition: .5s;
    border-radius: 50%;
}

.details__item p {
    font-size: 18px;
}

@media (min-width: 1000px) {
    .details__wrap::after {
        position: absolute;
        content: "";
        left: 50%;
        transform: translateX(-50%);
        bottom: 0;
        width: 33%;
        height: 2px;
        background-color: var(--lightColor);
    }

    .details__image-wrap:hover::after {
        opacity: 1;
        width: 120px;
        height: 120px;
    }

    .details__image-wrap.civil:hover::after {
        background-color: var(--civilColor);
    }

    .details__image-wrap.penal:hover::after {
        background-color: var(--penalColor);
    }

    .details__image-wrap.administrative:hover::after {
        background-color: var(--administrativeColor);
    }

    .details__image-wrap.inheritance:hover::after {
        background-color: var(--inheritanceColor);
    }

    .details__image-wrap.family:hover::after {
        background-color: var(--familyColor);
    }

    .details__image-wrap.business:hover::after {
        background-color: var(--businessColor);
    }

    .details__image-wrap.labor:hover::after {
        background-color: var(--laborColor);
    }

    .details__image-wrap.bankruptcy:hover::after {
        background-color: var(--bankruptcyColor);
    }

    .details__image-wrap:hover {
        color: var(--violetColor);
    }
}